using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace Neoris.Pocs.IE9.Web
{
	/// <summary>
	/// Summary description for _Default.
	/// </summary>
	public partial class _Default : System.Web.UI.Page
	{
	
		protected void Page_Load(object sender, System.EventArgs e) {
			this.Initialize();
		}

		protected void ButtonSearch_Click(object sender, System.EventArgs e) {
			this.BindGrid(this.GetGridDataSource());
		}

		private void Initialize() {
			this.WebDateTimeEdit1.MaxValue = DateTime.Today;
			this.SetGridHeadersText();
		}

		private void SetGridHeadersText() {
			this.UltraWebGrid1.Columns.FromKey("ID").Header.Caption = "ID";
			this.UltraWebGrid1.Columns.FromKey("Number").Header.Caption = this.Label1.Text;
			this.UltraWebGrid1.Columns.FromKey("Price").Header.Caption = this.Label2.Text;
			this.UltraWebGrid1.Columns.FromKey("Date").Header.Caption = this.Label3.Text;
			this.UltraWebGrid1.Columns.FromKey("InvoiceNumber").Header.Caption = this.Label4.Text;
			this.UltraWebGrid1.Columns.FromKey("Aliquot").Header.Caption = this.Label5.Text;
		}

		private Model.DefaultDS GetGridDataSource() {
			Model.DefaultDS dataSource = new Model.DefaultDS();

			for(int i = 1; i < 10; i++) {
				Model.DefaultDS.DefaultRow row = dataSource.Default.NewDefaultRow();
				row.ID = i;
				row.Number = this.WebNumericEdit1.ValueDouble;
				row.Price = this.WebCurrencyEdit1.ValueDecimal;
				row.Date = this.WebDateTimeEdit1.Date;
				row.InvoiceNumber = this.WebMaskEdit1.RawText;
				row.Aliquot = this.WebPercentEdit1.ValueDecimal;
				dataSource.Default.AddDefaultRow(row);
			}

			dataSource.AcceptChanges();

			return dataSource;
		}

		private void BindGrid(object dataSource) {
			this.UltraWebGrid1.DataSource = dataSource;
			this.UltraWebGrid1.DataBind();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    

		}
		#endregion
	}
}
